NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback

## 5.5. nvmlEccErrorCounts_t Struct Reference

## [Device Structs]

##### Deprecated

Different GPU families can have different memory error counters See nvmlDeviceGetMemoryErrorCounter

Detailed ECC error counts for a device.

### Public Variables

unsigned long long deviceMemory
  Device memory errors.
unsigned long long l1Cache
  L1 cache errors.
unsigned long long l2Cache
  L2 cache errors.
unsigned long long registerFile
  Register file errors.

### Variables

unsigned long long nvmlEccErrorCounts_t::deviceMemory [inherited]

  Device memory errors.

unsigned long long nvmlEccErrorCounts_t::l1Cache [inherited]

  L1 cache errors.

unsigned long long nvmlEccErrorCounts_t::l2Cache [inherited]

  L2 cache errors.

unsigned long long nvmlEccErrorCounts_t::registerFile [inherited]

  Register file errors.

NVML API Reference Guide (PDF) - vR340 (older) - Last updated July 1, 2014 - Send Feedback